---
title: burusftp path
linkTitle: path
---

## NAME
`burusftp path` - Add or replace user path mapping

## OPTIONS
* `-u, --username` 
  * Username
* `-v, --virt` 
  * Virtual path (path visible to user)
* `-p, --phys` 
  * Physical path (path on server filesystem)
* `--fset [RWDA]` 
  * Set file access flags - `(A)ll, (R)ead, (W)rite, (D)elete`. 
    * Combine flags to set multiple permissions (e.g. `--fset RW`).
    * Use `--fset ""` for no access.
* `-f, --force`
  * Replace existing path mapping
* `--help` 
  * Display this help

## EXAMPLES

```fish
# Add path mapping / => C:\Users\Guybrush for user guybrush
burusftp path -v / -p "C:\Users\Guybrush" -u guybrush

# Add read-only mapping 
burusftp path -v /protected -p "D:\protected" -u guybrush --fset R

# Replace existing path mapping (physical path is set)
burusftp path -v /protected -p "D:\new_protected" -u guybrush -f

# Change properties for existing path mapping
burusftp path -v /protected -u guybrush --fset A
```

## SEE ALSO
[path delete]({{< ref "path-delete" >}}), [path list]({{< ref "path-list" >}})